# Package com.trilead.ssh2.transport

Interface Summary
Interface | Description
--- | ---
MessageHandler | MessageHandler.

Class Summary
Class | Description
--- | ---
ClientServerHello | ClientServerHello.
KexManager | KexManager.
KexParameters | KexParameters.
KexState | KexState.
NegotiatedParameters | NegotiatedParameters.
TransportConnection | TransportConnection.
TransportManager | TransportManager.

Exception Summary
Exception | Description
--- | ---
NegotiateException | NegotiateException.